//! Basing application initialisation

use libko::*;
use std::path::PathBuf;

pub fn init(pid: Option<&str>, tf: Option<&str>, t: Option<&str>, rev: Option<&str>) -> Meta {
    if let Some(_) = rev {
        eprintln!("--rev parameter currently ignored");
    }

    let mut meta = initialise();

    meta.project_id = pid.map(Into::into);

    if let Some(tfpath) = tf {
        meta.load_timefile(tfpath);
    }

    if let Some(template) = t {
        meta.template = Some(PathBuf::new().join(template));
    }

    dbg!(meta)
}
