//! File tree abstractions
//!
//! The supergit files API is split into two parts: `FileTree`, which
//! is mostly used internally and only exposed to allow external tools
//! to rely on the same indexing mechanism as supergit, and
//! `Explorer`, which is a high-level API for loading trees for
//! specific commits.
//!

pub(self) mod tree_utils;
mod tree;
pub use tree::{FileTree, TreeEntry, EntryType};

mod explorer;
pub use explorer::{Explorer, Yield, YieldType};
