//! RST Node game server

// Remove the warning spam
#![allow(warnings)]

#[macro_use]
extern crate tracing;

pub(crate) mod cli;
pub(crate) mod constants;
pub(crate) mod loader;
pub(crate) mod log;

use rst_core::{loader::MapLoader, net::Endpoint};

#[async_std::main]
async fn main() {
    log::initialise();

    let map_path = cli::parse();
    let maps = MapLoader::load_path(map_path);

    let addr = format!("{}:{}", constants::DEFAULT_BIND, constants::DEFAULT_PORT);
    let serv = Endpoint::new(addr.as_str()).await;
    // serv.listen().await;
    // net::run().await;
}
