{ lib, ... }:

{
  imports = [ ../boards/x230.nix ../common.nix ];

  grub2 = {
    enable = true;
    extraPayloadModules = [ "luks" "crypto" "gcry_sha256" "lvm"
                            "gcry_rijndael" "pbkdf2" "jpeg" ];
    extraConfig = ''
      set timeout=10

      menuentry "NixOS" {
        insmod luks
        insmod crypto
        insmod gcry_sha256
        insmod gcry_rijndael
        insmod pbkdf2
        insmod lvm

        cryptomount -a
        configfile (lvm/vg0-boot)/grub/grub.cfg
      }
    '';
  };

  tint.enable = true;
  nvramcui.enable = true;
  
  seabios = {
    enable = true;
    asSecondaryPayload = true; 
  };

  corenix = {
    corebootConfig = {
      CONFIG_LINEAR_FRAMEBUFFER_MAX_WIDTH = "1366";
      CONFIG_LINEAR_FRAMEBUFFER_MAX_HEIGHT = "768";
    };
    
    extraFiles."background.png".src = lib.mkForce ./splash.png;
  };
}
