/**    A utility script to move a window to a workspace
 *
 *  This tool relies on i3-msg, jq, and dmenu to move a window to a
 *  different workspace.  In the future, maybe the display mechanism
 *  (dmenu) could be made configurable, so not to rely on nazi code.
 */

{ pkgs, ... }: with pkgs; writeShellScript "libkookie-i3-move" ''
  WS=$(${i3}/bin/i3-msg -t get_workspaces | \
    ${jq}/bin/jq -r -M '.[] | .name' | sort -u | \
    ${dmenu}/bin/dmenu -b -i "$@")
  

  ${i3}/bin/i3-msg -t command move workspace $WS
  ${i3}/bin/i3-msg workspace $WS
''
