{ lib, stdenv, fetchgit, python3Packages }:

let
  pelicanNoTest = (python3Packages.pelican.overrideAttrs ({ ... }: {
    doInstallCheck = false;
  }));
in
stdenv.mkDerivation rec {
  name = "spacekookie.de";

  src = fetchgit {
    name = "nomicon";
    url = "https://dev.spacekookie.de/kookie/nomicon.git";
    rev = "1e8ab6f281fa49c32d7f4e226e64954306029af1";
    sha256 = "1prs5qqacs2k8xi5chf1xx2zqilchg16ww1d3zf176ikil03vlfz";
  }; 

  postUnpack = ''
    ls -al
  '';
  
  sourceRoot = "nomicon/infra/website/";
  
  buildInputs = with python3Packages; [ pelicanNoTest webassets markdown ];

  installPhase = ''
      pelican content
      cp -r output $out
    '';

  meta = with lib; {
    description = "The 'about' and 'blog' part of spacekookie.de";
    homepage = "https://spacekookie.de";
    license = licenses.mit;
  };
}

